phrGetSelectedOutput {phreeqc} | R Documentation

## Returns the contents of the selected output as a list of data frames.

### Description

phrGetSelectedOutput returns a named list containing the resultant selected output blocks. The names of each data frame are creating by concatenating the letter 'n' and the user number of the selected output block.

### Usage

    phrGetSelectedOutput(allow_ = TRUE)

### Arguments

`allow_` | used for compatibility with R prior to 1.9.0 (default is TRUE).

### Details

phrGetSelectedOutput uses the `make.names` function to create valid column names. The allow_ variable is passed to `make.names` and is used for backward compatibility.

### Value

Returns a named list of data frames containing the selected_output from the previous run.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Selected Output: `phrGetSelectedOutputFileName`, `phrSetSelectedOutputFileName`, `phrSetSelectedOutputFileOn`

### Examples

    # Load database and run ex2
    phrLoadDatabaseString(phreeqc.dat)
    phrRunString(ex2)

    # display a summary of the results
    df <- phrGetSelectedOutput()
    summary(df$n1)

[Package phreeqc version 3.4.10 Index]